package com.njzscloud.supervisory.bs.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.njzscloud.supervisory.bs.pojo.result.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface StatisticsMapper {
    List<CarTrends> getCarTrends();

    UserSummary getUserSummary();

    List<GarbageDisposeSummary> getGarbageDisposeSummary();

    List<GarbageDisposeSummary> getCurrentMonthGarbageDisposeSummary();

    List<String> getGoodsNames(@Param("ew") Wrapper<Object> ew, @Param("count") int count);

    List<OrderSummary> getOrderSummary();

    TodayOrderSummary getTodayOrderSummary();

    List<OrderInfo> obtainOrder(@Param("userId") Long userId);

    Double disposeWeight(@Param("startTime") Long startTime, @Param("endTime") Long endTime);

    List<OrderAmountSummary> getOrderAmountSummary(@Param("startTime") Long startTime, @Param("endTime") Long endTime);

    List<Map<String, Object>> baseInfo();

    List<Map<String, Object>> disposeInfo();

    List<Map<String, Object>> garbageInfo();

    Map<String, Object> planInfo();

    List<Map<String, Object>> orderInfo();

    List<Map<String, Object>> warningInfo();
}
